# 1valueSkin

import slogan.skins, slogan.html, slogan.pie
[false, true]= range(2)

class Skin(slogan.skins.Skin):
  identity= '1value'

  def pageType(self, fvals):
    if fvals.get('t', '')=='i':
      slogan.pie.config['palette'][0]= (224, 224, 224)
      return slogan.html.config['pieFormat'][1]
    if self.htmlLevel[:1]=='x':
      return 'text/xml'
    else:
      return 'text/html'

  def outputTitle(self, stream, context):
    stream.write('1VALUE.com AG logs')

  def outputStyles(self, stream, context):
    stream.write('    .nav { font-size: 14px; text-align: center; color: white; text-decoration: none }\n')
    stream.write('    .shadowa { background: black; filter: alpha(opacity=50) }\n')
    stream.write('    .shadowb { background: black; filter: alpha(opacity=33) }\n')
    stream.write('    .shadowc { background: black; filter: alpha(opacity=17) }\n')
    stream.write('    body { background: white; color: black; margin: 0; padding: 0 }\n')
    stream.write('    a:link, a:visited { text-decoration: none; color: black }\n')
    stream.write('    a:hover { text-decoration: underline }\n')
    stream.write('    a.nav:link, a.nav:visited { color: white }\n')
    stream.write('    a.nav:active { color: red }\n')
    stream.write('    .right, .main { padding: 8px }\n')
    stream.write('    .right { width: 312px; float: right }\n')
    stream.write('    .main { margin-right: 312px }\n')
    stream.write('    .rows { padding: 6px; background: rgb(224, 224, 224); border-left: solid 4pix rgb(15,46,116); border-top: solid 4pix rgb(15,46,116) }\n')
    stream.write('    h2 { font-family: Verdana, sans-serif }\n')

  def outputBody(self, stream, context):
    stream.write('<body>\n')
    stream.write('  <div class="logo">\n')
    self.outputLogo(stream, context)
    stream.write('  </div><div class="right">\n')
    self.outputTraits(stream, context)
    stream.write('  </div><div class="main">\n')
    if len(context[0])>0:
      self.outputCurrents(stream, context)
      self.outputControls(stream, context)
      stream.write('  </div><div class="main">\n')
      results= slogan.query(context[0], context[1])
      self.outputResults(stream, context, results)
    else:
      self.outputSummary(stream, context)
    stream.write('  </div>\n')
    stream.write('</body></html>')

  def outputLogo(self, stream, context):
    stream.write('''
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr valign="top">
      <td width="100%" bgcolor="#FFFFFF">&nbsp;</td>
      <td width="312" bgcolor="#FFFFFF"><img src="'''+slogan.html.encH(slogan.html.config['imageUrl'])+'''skin/1value/masthead.gif" width="312" height="75" alt="1VALUE.com AG: Entwicklung und Vertrieb von IT-L&ouml;sungen"></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF"><img src="'''+slogan.html.encH(self.imgDir)+'''spacer.gif" width="1" height="18" alt=""></td>
      <td bgcolor="#152E74"><img src="'''+slogan.html.encH(self.imgDir)+'''spacer.gif" width="312" height="18" alt=""></td>
    </tr>
  </table>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr bgcolor="#152E74">
      <td width="156" align="center"><div> <a class="nav" href="/index.p">1VALUE.com AG</a> </div></td>
      <td width="156" align="center"><div> <a class="nav" href="'''+slogan.html.encH(slogan.html.config['queryUrl'])+'''">Logs</a> </div></td>
      <td><img src="'''+slogan.html.encH(self.imgDir)+'''spacer.gif" width="150" height="18" alt=""></td>
    </tr>
    <tr><td colspan="3" bgcolor="#606060" class="shadowa"><img src="'''+slogan.html.encH(self.imgDir)+'''spacer.gif" width="1" height="2" alt=""></td></tr>
    <tr><td colspan="3" bgcolor="#909090" class="shadowb"><img src="'''+slogan.html.encH(self.imgDir)+'''spacer.gif" width="1" height="2" alt=""></td></tr>
    <tr><td colspan="3" bgcolor="#C0C0C0" class="shadowc"><img src="'''+slogan.html.encH(self.imgDir)+'''spacer.gif" width="1" height="2" alt=""></td></tr>
  </table>
  <p>&nbsp;</p>
''')
