# CookieTrait

import slogan, slogan.traits
import string

# No special processing to be done on cookies since they are opaque strings

class Trait(slogan.traits.Trait):
  identity= 'cookie'
  extended= 'cs(Cookie)'
  priority= 50
  size= [128]
  def __init__(self):
    self.title= slogan.language.cookie_title
  def write(self, partlist):
    if len(partlist)==0:
      return slogan.language.cookie_none
    return string.join(partlist)
